explain_getsockopt_or_die(3)

NAME
explain_getsockopt_or_die - get and set options on sockets and report errors
    "get and set options on sockets and report errors"

SYNOPSIS
#include <libexplain/getsockopt.h>

void explain_getsockopt_or_die(int fildes, int level, int name, void *data, socklen_t *data_size);

DESCRIPTION
The explain_getsockopt_or_die function is used to call the getsockopt(2) system call. On failure an explanation will be printed to stderr, obtained from explain_getsockopt(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_getsockopt_or_die(fildes, level, name, data, data_size);

fildes
    The fildes, exactly as to be passed to the getsockopt(2) system call.

level
    The level, exactly as to be passed to the getsockopt(2) system call.

name
    The name, exactly as to be passed to the getsockopt(2) system call.

data
    The data, exactly as to be passed to the getsockopt(2) system call.

data_size
    The data_size, exactly as to be passed to the getsockopt(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

getsockopt(2)
    get and set options on sockets

explain_getsockopt(3)
    explain getsockopt(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller